Subject: Re: bug#17463: 24.3.90; invoking c-mode always loads `cl'

From: Shigeru Fukaya <[email-masked]>
Date: Mon, 12 May 2014 05:27:52 +0900

>>> c-mode loads `cc-langs' and it always, as it is execution time, loads `cl'.
>>> I suspect in cc-langs
>>>
>>>     (cc-external-require 'cl)
>>>
>>> sholud be simply changed to
>>>
>>>     (eval-when-compile 'cl)
>
>Anyway, I don't think that's the real cause.
>
>emacs -Q -f c-mode
>
>is not supposed to load cc-langs, yet it does since 24.3.

I don't know well the real cause, at least in my environments (MingW
24.3, Cygwin 24.4),

(list (featurep 'cl) (featurep 'cc-langs))

return (t t) after "emacs -Q -f c-mode".

-- Shigeru